<?php
include('Inc/Page.php');
include('Inc/ConstantesDB.php');
include("Inc/Classes/bo/file.php");
include("Inc/Classes/ihm/ihmtask.php");

debut();
debutContenu();

  $idTask=$_GET["id"];
  openDB($mdb2);
	
	$task = new Task;
	$task->id = $idTask;
  $task->load($mdb2);
  openDBCal($mdb2Cal);
	$task->GetActivities($mdb2Cal);
  closeDB($mdb2Cal);

  	$file = new File;
	$file->id = $task->idFD;
	$file->domain = $_GET['domain'];
	$file->load($mdb2);
	$taskDesc = new TaskDescription;
	$taskDesc->id = $task->idTaskDesc;
	$taskDesc->loadFromId($mdb2);
	
	$taskIHM = new IHMTask;
	$taskIHM->ShowMessages($file, $task, $taskDesc);
  
  closeDB($mdb2);
finContenu();

fin();
 
